Node Versions locally on applications

I’ve attempted to install Node 16.13.2 on my app since some dependencies require the latest version to operate.

Well, it didn’t work as expected. I installed Node v16.13.2 via nvm and I am still getting the EBADENGINE error, even after updating the npm engine too.

Does this have something to do with Glitch, or am I skipping a step?